StructureTools (BioJava-1.5-beta API)
Keywords: org.biojava.bio.structure.StructureTools class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.bio.structure
Class StructureTools

    java.lang.Object
      org.biojava.bio.structure.StructureTools

    public class StructureTools

extends Object

a class that provides some tool methods

Since:
  1.0
Version:
  %I% %G%
Author:
  Andreas Prlic

Field Summary
`static String[]` | `backboneAtomNames`
`static String` | `caAtomName`

Constructor Summary
`StructureTools()`

Method Summary
`static Atom[]` | `getAtomArray(Structure s, String[] atomNames)` returns an array of the requested Atoms from the Structure object.
`static Atom[]` | `getAtomCAArray(Structure s)` returns an Atom array of the CA atoms
`static Atom[]` | `getBackboneAtomArray(Structure s)` returns an Atom array of the MainChain atoms

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### caAtomName

    public static final String caAtomName

See Also:
  Constant Field Values

### backboneAtomNames

    public static final String[] backboneAtomNames

Constructor Detail

### StructureTools

    public StructureTools()

Method Detail

### getAtomArray

    public static Atom[] getAtomArray(Structure s,
                                      String[] atomNames)

  returns an array of the requested Atoms from the Structure object. Iterates over all groups and checks if the requested atoms are in this group, no matter if this is a AminoAcid or Hetatom group.

  Parameters:
    `s` - the structure to get the atoms from
    `atomNames` - contains the atom names to be used.
  Returns:
    an Atom[] array

### getAtomCAArray

    public static Atom[] getAtomCAArray(Structure s)

  returns an Atom array of the CA atoms

  Parameters:
    `s` -
  Returns:
    an Atom[] array

### getBackboneAtomArray

    public static Atom[] getBackboneAtomArray(Structure s)

  returns an Atom array of the MainChain atoms

  Parameters:
    `s` -
  Returns:
    an Atom[] array

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD